org.apache.fop.pdf

## Class PDFWArray

- java.lang.Object
- - org.apache.fop.pdf.PDFWArray

-     public class PDFWArray
      extends Object

  Class representing a W array for CID fonts.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFWArray()` Default constructor
    `PDFWArray(int[] metrics)` Convenience constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntry(int start, int[] metrics)` Add an entry for single starting CID.
    `void` | `addEntry(int first, int last, int width)` Add an entry for a range of CIDs (/W element on p 213)
    `void` | `addEntry(int first, int last, int width, int posX, int posY)` Add an entry for a range of CIDs (/W2 element on p 210)
    `byte[]` | `toPDF()` Convert this object to PDF code.
    `String` | `toPDFString()` Convert this object to PDF code.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFWArray

          public PDFWArray()

      Default constructor

    - #### PDFWArray

          public PDFWArray(int[] metrics)

      Convenience constructor
      Parameters:
        `metrics` - the metrics array to initially add

  - ### Method Detail

    - #### addEntry

          public void addEntry(int start,
                               int[] metrics)

      Add an entry for single starting CID. i.e. in the form "c [w ...]"
      Parameters:
        `start` - the starting CID value.
        `metrics` - the metrics array.

    - #### addEntry

          public void addEntry(int first,
                               int last,
                               int width)

      Add an entry for a range of CIDs (/W element on p 213)
      Parameters:
        `first` - the first CID in the range
        `last` - the last CID in the range
        `width` - the width for all CIDs in the range

    - #### addEntry

          public void addEntry(int first,
                               int last,
                               int width,
                               int posX,
                               int posY)

      Add an entry for a range of CIDs (/W2 element on p 210)
      Parameters:
        `first` - the first CID in the range
        `last` - the last CID in the range
        `width` - the width for all CIDs in the range
        `posX` - the x component for the vertical position vector
        `posY` - the y component for the vertical position vector

    - #### toPDF

          public byte[] toPDF()

      Convert this object to PDF code.
      Returns:
        byte[] the PDF code

    - #### toPDFString

          public String toPDFString()

      Convert this object to PDF code.
      Returns:
        String the PDF code

Copyright © 2025 Apache Software Foundation. All rights reserved.